Time Entries
4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List time entries by task or user#
GET
/time-entriesTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
taskId | Query | string | – |
userId | Query | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/time-entries" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a time entry (auto-syncs task actual_time)#
POST
/time-entriesTokenRequest-Body
| Name | Typ | Beschreibung |
|---|---|---|
task_idPflicht | string | – |
taskId | string | Legacy body alias for task_id |
organizationId | string | Legacy body value ignored; org is derived from auth context |
duration_minutesPflicht | number | Duration in minutes |
note | object | – |
started_at | object | ISO datetime when the timer started |
logged_at | string | ISO datetime when the time was logged (defaults to now) |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/time-entries" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"task_id":"…","duration_minutes":0}'Update a time entry (own entries only)#
PUT
/time-entries/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
duration_minutes | number | Duration in minutes |
note | object | – |
logged_at | string | – |
organizationId | string | Legacy body value ignored; org is derived from auth context |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/time-entries/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"duration_minutes":0,"note":{},"logged_at":"…"}'Delete a time entry (own entries only)#
DELETE
/time-entries/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/time-entries/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"